internal mic capture very low volume when routed through pulseaudio

Bug #275998 reported by hendrikwout on 2008-09-29
396
This bug affects 55 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
PulseAudio
Unknown
Unknown
alsa-lib (Fedora)
Won't Fix
High
alsa-lib (Ubuntu)
Wishlist
Daniel T Chen
Declined for Intrepid by Jeremy Foshee
Declined for Jaunty by Jeremy Foshee
Nominated for Lucid by alexsimps
linux (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Jeremy Foshee
Declined for Jaunty by Jeremy Foshee
Nominated for Lucid by alexsimps
pulseaudio (Ubuntu)
Undecided
Unassigned
Declined for Intrepid by Jeremy Foshee
Declined for Jaunty by Jeremy Foshee
Nominated for Lucid by alexsimps
pulseaudio (openSUSE)
Invalid
Undecided
Unassigned

Bug Description

Hi,

I have a dell xps m1530 laptop with the following internal audio device:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

In hardy, sound recording from the internal mic works great, but in Ibex sound recording with the internal mic is very silent. I can't make it louder with the gnome volume control and alsamixer.

See https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/275998/comments/109 for a temporary solution

description: updated
description: updated
description: updated
description: updated
description: updated
Srix (srix) wrote :

Recording with the internal mic. on a Dell Vostro 1500 (Intel Corporation 82801H (ICH8 Family)) used to work in Hardy, but stopped working with Intrepid Alpha 6 in most applications.
Recording in Audacity works, but with the recording device set to OSS:/dev/dsp. Sound Recorder, Empathy, Ekiga, etc. (using Alsa) do not work.
When attempting to stop the recording Sound Recorder hangs for a long time before coming back to life, and recorded file is completely silent.
In the Volume Control applet, with the Device set to HDA Intel (Alsa mixer), the Recording tab shows all controls (Capture, Digital, Mux) with the audio recording toggled OFF (small red cross on the mic. icon under each vertical slider). Even after toggling the icon, it goes back to toggled off the next time the volume control is opened.

hendrikwout (hendrikwout) wrote :

Srix: I think you discribed another bug. I can record, but it is very silent.

shadowed (shadowedings) wrote :

same problem here...
xps m1530
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

internal mic works well with hardy (on and loud)...but not in ibex (on but silent...too silent it's almost impossible to hear)...i tryed everything with all mixers...

Binoy (mailbinoyv) wrote :

same problem here. I noticed ubuntu 8.10 is missing the Mic boost option. My hardy install had that option and the mic volume was essentially controlled using that

Vitaly (vbabiy86) wrote :

I can also confirm This I am Also on a XPS m1530

Thomas (thomas-scheffler) wrote :

Same here with XPS m1530. While 8.04 is fine, the internal mic on 8.10 is not usable anymore.

abePdIta (abepdita) wrote :

Same here! Also line recording works fine, both on hardy and on intrepid. Internal mic recording on Intrepid gives a full range signal that results in silent files.

Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
 Subsystem: Acer Incorporated [ALI] Device 0130

liviococcia (liviococcia) wrote :

I can also confirm the very low recording level form the built-in internal mic of a Dell inspiron 1720, no '+20 mic boost' options are present under my version of HDM intel (alsamixer)

talent03 (talent03) wrote :

I confirm this problem on the Dell XPS m1330. The problem is with pulse-audio as I had the same problem in Hardy. I was hoping the problem would be fixed in Intrepid, but the same problem persists. Alsa works just fine recording but when everything is going through pulse-audio, the sound records but at a very low volume. Hopefully we can finally get this resolved.

talent03 (talent03) wrote :

I failed to mention that this problem is only with my internal mic. The line in works perfectly.

Pezz (p3zz) wrote :

I also have this issue with my Inspiron 1420N (same card as mentioned above, also with the built-in Mic):

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I did have it working fine under Hardy, although I remember it taking a lot of messing around initially.

So for me it's "here we go again" under Ibex where trying to get the Mic working properly is a baffling ordeal...

usr (oesterle-matthias) wrote :

Same problem here (line in mic):

ChipTyp: HDA-Intel - HDA VIA VT82xx
CodecTyp: VIA VIA VT1708

It`s already bad in Hardy (silent with scratchy background noise) but it got worse in Intrepid. It`s nearly impossible to hear voice after recording and it doesn`t work in Skype or Audacity either.

usr (oesterle-matthias) wrote :

Same problem here (line in mic):

ChipTyp: HDA-Intel - HDA VIA VT82xx
CodecTyp: VIA VIA VT1708

It`s already bad in Hardy (silent with scratchy background noise) but it got worse in Intrepid. It`s nearly impossible to hear voice after recording and it doesn`t work in Skype or Audacity either.
Sorry for my bad English.

Greets,
Matthias

hendrikwout (hendrikwout) wrote :

there is also forum thread about this bug: http://ubuntuforums.org/showthread.php?t=956565&page=3

shadowed (shadowedings) wrote :

I got microphone working by using alsa instead of pulseaudio

http://ubuntuforums.org/showpost.php?p=6139576&postcount=36

talent03 (talent03) wrote :

@shadowed
That would be a known workaround, we still need a fix for pulseaudio.

Jack Deslippe (jdeslip) wrote :

I was a subscriber of the duplicate bug. I want to add a 'me too' here on a Dell 1420n laptop. Recording worked in Hardy and works in intrepid if I turn off pulseaudio (which is not really an acceptable solution). But, recording is really low if pulseaudio if on (even if I choose the hw device in skype).

jixuanliu (liujx83-hotmail) wrote :

Same problem with me. I installed kubuntu 8.10 on my desktop PC but skype fails to work because no input device is detected. (The error log says: ALSA lib pcm_bluetooth.c:1619:(bluetooth_init) BT_GETCAPABILITIES failed : 输入/输出错误(5))

Besides skype, all other applications requiring audio input can't work neither. Recording in Audacity fails, no matter if I choose OSS:/dev/dsp or other ALSA devices as the recording device.

hendrikwout (hendrikwout) wrote :

I'm the original poster of the bug.

This bug report is NOT about a sound device that is not detected. It's about a detected recording device wich has a very low recording level (no mic boost).

Disabling pulse audio didn't work for me: recording level is still too low. I have a dell xps m1530.

Allan (allan-2bc) wrote :

I can confirm exactly the same problems. I also have a Dell XPS M1530.
In addition my mic is always muted. When I try to unmute it it keeps defaulting back to muted.

Allan (allan-2bc) on 2008-11-18
Changed in linux:
status: New → Confirmed
Michele (mikelito) wrote :

I am experiencing the same problem in Intrepid, on a DELL Inspiron 1525.
Basically it seems that all the sound recording settings (both through gnome volume control and alsamixer) don't affect the actual volume at all.

Attaching lspci output

Michele (mikelito) wrote :

amixer -Dhw

jixuanliu (liujx83-hotmail) wrote :
Download full text (7.3 KiB)

amixer -Dhw on my machine gives:

Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 28 [90%] [-4.50dB] [on]
  Front Right: Playback 28 [90%] [-4.50dB] [on]
Simple mixer control 'Front Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 23 [74%] [0.00dB] [on]
  Front Right: Playback 23 [74%] [0.00dB] [on]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [-9.00dB] [on]
  Front Right: Playback 25 [81%] [-9.00dB] [on]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 25 [81%] [-9.00dB] [on]
Simple mixer control ...

Read more...

botticchio (botticchio-gmail) wrote :

Same problem here. In addition, I noticed a very strange thing. I tried to make a Skype call, and I saw that the Capture mixer level in Volume Control-->Recording tab doesn't stay fixed to a value but it moves up and down apparently in a random way.

The digital Input Source is set to "Digital Mic 1" and in Skype-->Options-->Sound Devices I've set all the three combobox to pulseaudio, because I found that this is the only way to pass the test sound and test call.

Can anyone confirm this strange behaviour?

Tim Black (tim-alwaysreformed) wrote :

The sliders moving is due to a setting in Skype that allows Skype to automatically adjust the sounds levels in your mixer.

botticchio (botticchio-gmail) wrote :

Oops, sorry, I didn't know that.

In my previous message I didn't tell that my system is an XPS 1330.

mabawsa (mabawsa) wrote :

This has gotta be marked as confirmed with so many similar symptoms

Changed in pulseaudio:
status: New → Confirmed
mabawsa (mabawsa) wrote :

Does this bug only effect ICH7/8 sound systems? I have an Dell M1330 and ABIT IX38 based desktop and the record was faint in both (ICH8 on both) before i completely removed pulseaudio using synaptic and switched to ALSA. Now everything is hunky dory; but I would love to see a better solution.

I think I am also experiencing this bug. I cannot get the internal mic working despite all my efforts. Sound works though...

bigbrovar (bigbrovar) wrote :

i have the same problem too a dell m1330 . hope its resolved soon so i can continue talking to my girlfriend as i always do on hardy :)

Tomek Bury (tomek-bury) wrote :

Hi all,

I can confirm the bug on Dell XPS M1330 and 1530.

The workaround that works for me is to remove pulseaudio from the system.

I've noticed that after removing puldeaudio alsamixer shows additional track "Digital" with settings ranging from -30dB to +30dB. Perhaps puldeaudio sets the "Digital" to 0dB, thus removing mic boost and causing the problem?

Cheers,
Tomek

It appears that nearly all affected machines are Dell laptops. Any
non-Dell users experiencing this same issue?
--
Kristian Erik Hermansen
Yogi Berra - "I never said most of the things I said."

I believe i have the same issue with ASUS s96s and the HDA Intel sound card. Good sound in 8.04, in 8.10 the internal mic doesn't work (or it's volume is to low). I had to revert to 8.04.... but I still ahve 8.10 and I'm willing to provide more info.

Nikola

botticchio (botticchio-gmail) wrote :

I think I resolved the low mic volume in Skype by uninstalling pulseaudio, but first I updated it to the Intrepid-proposed version, to prevent broken audio after the uninstallation. Before removing it I tried to disable it, with no luck.

I know it is an extreme decision, but i really need to use Skype.

chrisp (chx-cvmx) wrote :

Hi, I think I have the same issue with an ASUS X51L, Intel 82801H:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 04)
Sound OK - but no Mic. Ibex on 2.6.27-7-generic. Maybe its less Dell more InDell related? ;-)

Motin (motin) wrote :

With so many testers (including myself) only experiencing this when using PulseAudio (ie without pulse-audio or when pulse-audio is suspended in favor of jack recording etc), I believe we can conclude that this is not a kernel-related bug.

Changed in linux:
status: Confirmed → Invalid
status: New → Invalid
Motin (motin) wrote :

Does all testers that are experiencing this have a ICH7 or ICH8 card?
Can all testers verify that this bug is not evident if suspending/uninstalling pulseaudio?
Is this bug only evident when using Skype?

Clarifications:

- this bug affects me only when recording through pulseaudio. If I kill pulseaudio and record directly through alsa it works fine (using both gnome-sound-recorder and skype).

- it is NOT a skype-specific bug. The same problem exists with gnome-sound-recorder when recording through pulseaudio.

- it is NOT a 8.10-specific bug for me (as other people report). With 8.04 I had the same issue.

- I do have an ICH8 card

Jesper de Jong (jespdj) wrote :

I do not have this issue with 8.04, but I do with 8.10. I have a Dell XPS M1530.

As Kostas says, this bug is not specific to Skype, it happens also with for example gnome-sound-recorder.

RomanIvanov (ivanov-jr) wrote :

I have Dell Vostro 1510 - 82801H (ICH8 Family) (rev 03).
I use Xubuntu 8.10, and I presume there is no pulseaudio.
Internal Mic does not work even for "Sound Recorder" and "Audacity". External mic works fine after some magic with sliders in Volume control (http://ubuntuforums.org/showthread.php?t=976877).

Flavio Tordini (zarlino) wrote :

I had this bug since i bought my Dell XPS m1330 a year ago. I used Kubuntu and Ubuntu. Kubuntu has no pulseaudio AFAIK, so I don't think this relates to Pulseaudio at all.

On Wed, Nov 26, 2008 at 7:30 AM, Motin <email address hidden> wrote:
> Does all testers that are experiencing this have a ICH7 or ICH8 card?
> Can all testers verify that this bug is not evident if suspending/uninstalling pulseaudio?
> Is this bug only evident when using Skype?

I don't use Skype. I can also confirm that the gnome-sound-recorder
also fails to record the audio input. My hardware is an ICH9. Here
is lspci output...

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller (rev 03)
--
Kristian Erik Hermansen
Woody Allen - "I will not eat oysters. I want my food dead. Not sick.
Not wounded. Dead."

Can somebody who experiences the bug (I don't, only a friend of mine to whose hardware I have no access) please report that upstream and link it here? I guess that would increase the chances of getting this debugged/fixed. PulseAudio has a Trac at http://www.pulseaudio.org/report

mabawsa (mabawsa) wrote :

Done:
http://www.pulseaudio.org/ticket/423

I guess the more confirms on this with the pulse people the better, so please add to the bug and maybe it will get some attention. I did notice that pulse audio has been on 09.13 since October. Maybe it should be backported to Intrepid to see if that fixes the problems.

mabawsa: Thank you. As to the update to 0.9.13 -- That's hardly gonna happen, PulseAudio introduced some major changes in 0.9.12 (some "glitch-free" architecture), and it's probably too risky to update Intrepid to 0.9.13. It's already in Jaunty though.

Changed in pulseaudio:
importance: Undecided → Unknown
status: Confirmed → Unknown
Jesper de Jong (jespdj) wrote :

I have a Fedora 10 (x86_64) Live CD here. One of the new features in Fedora 10 is the glitch-free audio version of PulseAudio. So, I booted from the Fedora 10 CD and tried if I have the same problem there, and yes, I can reproduce the problem - the microphone volume is very faint, even if I set the sliders to max.

So this is not an Ubuntu-specific problem, and it is most likely not yet solved in the new glitch-free version of PulseAudio.

Nico_argentina (ferrettinico) wrote :

If i boot into windows and make the mic louder then it works fine in ubuntu 8.10, following https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/282931/comments/15

I have a Dell XPS 1530.

On Thu, Nov 27, 2008 at 1:50 PM, Nico_argentina <email address hidden> wrote:
> If i boot into windows and make the mic louder then it works fine in
> ubuntu 8.10, following
> https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/282931/comments/15
>
> I have a Dell XPS 1530.

Most of us don't have Windows to test that method unfortunately...
--
Kristian Erik Hermansen
Woody Allen - "I will not eat oysters. I want my food dead. Not sick.
Not wounded. Dead."

Changed in pulseaudio:
status: Unknown → New

I do have a dual boot XPS m1330, but booting into Vista and changing the volume of the mic has had no effect when rebooting back into Ubuntu 8.10. :(

Motin (motin) wrote :
Download full text (3.4 KiB)

Copying the information I posted at http://www.pulseaudio.org/ticket/423

Please do submit your test information to the upstream bugreport as well.

""
I can confirm this bug. It is extremely annoying, since Skype conversations are practically single-way nowadays. Either the receiver hears no sound, very faint sound and most often with a great lag.

If suspending pulseaudio and recording using jack the levels are ok and latency back to a few ms, so it is not a hardware bug.

The only way to workaround this (according to various testers at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/275998) is to remove pulse audio _completely_. Temporarily suspending or killing pulse-audio doesn't help.

Running pulseaudio -v displayed a zintillion of these while making a skype call:

{{{
I: client.c: Created 27416 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: Client 27416 changed name from "Native client (UNIX socket client)" to "ALSA plug-in [skype.real]"
I: client.c: Freed 27416 "ALSA plug-in [skype.real]"
I: protocol-native.c: connection died.
I: client.c: Created 27417 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: Client 27417 changed name from "Native client (UNIX socket client)" to "ALSA plug-in [skype.real]"
I: client.c: Freed 27417 "ALSA plug-in [skype.real]"
I: protocol-native.c: connection died.
I: client.c: Created 27418 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: Client 27418 changed name from "Native client (UNIX socket client)" to "ALSA plug-in [skype.real]"
I: client.c: Freed 27418 "ALSA plug-in [skype.real]"
I: protocol-native.c: connection died.
I: client.c: Created 27419 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: Client 27419 changed name from "Native client (UNIX socket client)" to "ALSA plug-in [skype.real]"
I: client.c: Freed 27419 "ALSA plug-in [skype.real]"
I: protocol-native.c: connection died.
I: client.c: Created 27420 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: Client 27420 changed name from "Native client (UNIX socket client)" to "ALSA plug-in [skype.real]"
I: client.c: Freed 27420 "ALSA plug-in [skype.real]"
I: protocol-native.c: connection died.
I: client.c: Created 27421 "Native client (UNIX socket client)"
I: protocol-native.c: Got credentials: uid=1000 gid=1000 success=1
I: protocol-native.c: Enabled SHM for new connection
I: client.c: Client 27421 changed name from "Native client (UNIX socket client)" to "ALSA plug-in [skype.real]"
I: client.c: Freed 27421 "ALSA plug-in [skype.real]"
I: protocol-native.c: connection died.
I: client.c: Created 27422 "Native client (UNIX socket client)"
I: protocol-nati...

Read more...

Motin (motin) wrote :

It does help a tad bit to remove the Skype option "Sound Devices -> Allow Skype to automatically adjust my mixer levels".

Skype was otherwise never really allowing the microphone volume to be maxed.

Motin (motin) wrote :
Rocko (rockorequin) wrote :

Isn't this an ALSA bug rather than a PulseAudio bug?

In Hardy, I could change my XPS 1530's built-in microphone recording volume via the control named 'Digital' in the gnome-volume-control 'Recording tab' (you have to enable it first via the preferences window). But in Intrepid there is no such control.

In Hardy, I can see this control in the /var/lib/alsa/asound.state file:

 control.32 {
  comment.access 'read write user'
  comment.type INTEGER
  comment.count 2
  comment.range '0 - 120'
  comment.tlv '0000000100000008fffff44800000032'
  iface MIXER
  name 'Digital Capture Volume'
  value.0 120
  value.1 120
 }

but this control is missing in Intrepid's /etc/asound.state file (which is created when I run /etc/init.d/alsa-utils start) and /var/lib/alsa/asound.state file.

This is with alsa 1.0.17. Hardy uses alsa 1.0.16.

I've also tried alsa 1.0.18 (http://ubuntuforums.org/showthread.php?t=962695) in Intrepid and it doesn't detect the capture volume either.

James (james-ellis-gmail) wrote :

I have a Dell XPS 1330 using Kubuntu 8.10 and KDE 4.1.3 -- this system has (had) extremely low volume input.

When PulseAudio is installed (and actually running - the default /etc/init.d/pulseaudio startup script fails to do anything and just exits) KMix presents two input sources Digital and Analog Mic. When Volume Control (Record) is opened it shows activity when speaking and the Digitial option is enabled, the sound however is extremely low and I have to talk about 3mm from the input point on the top of the laptop screen.
Analog input doesn't record anything usable. I have to shout very loudly to get any type of input.

I'm surprised at something so basic as sound input fails to work properly on a modern laptop. No disrespect to the developers but is there any testing of such basic item before a release ? If not, I'm happy to help out testing audio (maybe even pulseaudio) on this setup with Jaunty -- it's better than spending literally hours & hours googling around and tweaking various audio controls.
My sound worked fine on Hardy, I presume without Pulse installed.

My solution was to *purge* all possible pulse packages and reboot. I have nothing against PulseAudio, just my system works better without it :)
I got rid of all of them apart from libpulse0 which wanted to remove quite a lot of other dependencies as well (like dragonplayer, xine etc). I now have working sound input and output. I don't think the Digital Input works but I don't care as long as I can get some sound into the PC without shouting.
The only other side effect is that alsamixer cannot run as it tries to connect to a non existent pulseaudio process, but that's no big deal for me. I wonder why it is hard wired now to use pulse ?

Finally, I added this to my /etc/modprobe.d/alsa-base, although I don't know if it helps:
options snd-hda-intel model=5stack

Thanks and I hope this helps others.

Shavak Sinanan (shavak) wrote :

I can confirm this bug. Logging into windows and increasing the mic volume doesn't help and I don't think that it is a skype issue as the forum that Motin pointed to might be suggesting, since the mic volume in gnome sound recorder is extremely low as well. My system is a Dell XPS 1530 running a clean install of Ubuntu 8.10 64 bit.

hendrikwout (hendrikwout) wrote :

Rocko: you're right. The digital volume control is missing here also in ibex and not in hardy. So I agree it's an alsa bug.

Shavak Sinanan (shavak) wrote :

The digital volume control is NOT missing in my Ibex installation. It's under the recording tab. As far as I can remember all that I had to do to display it was check it under preferences. From what I've read on this forum and elsewhere, it seems that most users who have removed some or all of pulse audio from their system are able to use their internal mics. This points to it being a pulse audio bug.

Rocko (rockorequin) wrote :

Shavak, is your audio card the same as mine? lspci shows mine as:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I installed Intrepid 64bit from scratch, the same as you did, but I don't have a digital volume control. It simply doesn't appear in the preferences section. What might be different between our systems? Did you remove pulseaudio? I did for a while but the Digital control still didn't appear.

Shavak Sinanan (shavak) wrote :

Yep It's the same, my 1530 is pretty much stock except for the graphics card. Here's my /etc/modprobe.d/alsa-base.

Soon after my install I added the line

options snd-hda-intel model=dell

to the end of the file, following instructions from someone on ubuntuforums regarding this issue. That is the ONLY change that I made though, pulse audio is as it was.

mabawsa (mabawsa) wrote :

On a fresh install of Intrepid on my desktop (abit IX38 mobo)

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

I have the digital sound control in Alsa. Still the recording doesn't work for the sound card.

Interestingly I have a webcam with an internal microphone and this works well so I use this normally.

Only pulse related error in dmesg is:
[243270.014853] canberra-gtk-pl[24910]: segfault at 713ce0 ip 00007f226ac9d9f9 sp 0000000042770c80 error 6 in libpulse.so.0.4.1[7f226ac65000+4e000]

Removing pulse sorts the problem.

On my DELL M1330 I have the digital panel as well with pulse and very weak. (ICH8 chipset; Intrepid upgrade)

Removing pulse sorts the problem.

Main conclusion. Alsa is fine, pulse breaks Intel recording.

mabawsa (mabawsa) wrote :

I don't know if this is relevant but my /var/log/messages file contains the following references to pulse

Dec 11 13:42:59 glitterbox pulseaudio[7560]: ltdl-bind-now.c: Failed to find original dlopen loader.
Dec 11 13:42:59 glitterbox pulseaudio[7567]: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
Dec 11 13:42:59 glitterbox pulseaudio[7567]: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
Dec 11 13:42:59 glitterbox pulseaudio[7567]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.

Rocko (rockorequin) wrote :

mabawsa, before you removed pulseaudio, did the microphone not record anything at all, or did it record but at a very low level?

Shavak, which version of BIOS are you running? I'm using A08, and alsa is supposed to read dell-bios for our chipsets (I don't think that specifying model=dell in /etc/modprobe.d/alsa-base is recognised by the driver, and so I assume it will default back to dell-bios). The quirk is defined in alsa-driver-1.0.18a/alsa-kernel/pci/hda#patch_sigmatel.c - I'm pretty sure it's the same for 1.0.17:

 SND_PCI_QUIRK(PCI_VENDOR_ID_DELL, 0x022e, "Dell ", STAC_DELL_BIOS),

where 0x022e is my card's subsystem ID as shown by lscpi -vv:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
 Subsystem: Dell Device 022e
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 21
 Region 0: Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

I looked at the codec files, with 'cat /proc/asound/card0/codec* | grep Subsystem', which kind of shows the same subsystem ID - it actually is given as 0x1028022e. (But it does in Hardy as well, where I do get a digital capture volume control.)

FWIW, my card is actually listed in bios as a Sigmatel 9205, but alsa uses the 9228 codec. Again, this is the same as Hardy so it doesn't seem relevant.

The codec file as reported by Hardy does differ from Intrepid's in a few places, so this might be relevant.

eg

Node 0x0c [Pin Complex] wcaps 0x400181: Stereo
  Pincap 0x081737: IN OUT Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x90a79130: [Fixed] Mic at Int N/A

Intrepid's equivalent defines Pincap as 0x00001737 instead of 0x081737. (But the list of values - IN OUT, etc - afterwards is the same in both.)

mabawsa (mabawsa) wrote :

Both my Desktop (non-DELL, where I use my USB camera's microphone instead of the internal card and pulse audio) and my laptop (M1330, where I removed pulse audio cause there it works fine in ALSA) had very low microphone volume even at max digital.

Rocko (rockorequin) wrote :

I tried BIOS A12 and it hasn't made any difference - alsa still didn't detect a digital capture volume control.

I did, however, manage to make alsa-mixer show a digital volume capture control by copying the definition across from Hardy into the /etc/asound.state file, doing a sudo alsactl restore, and restarting alsa-utils.

However, the control thus created has absolutely no effect on recording level. So it seems it is possible to fool alsa/pulseaudio into thinking there's a control even though it doesn't write changes correctly back to the sound card when you adjust the control.

I'm using a dell and didn't have this problem with 8.04 32-bit (now using
8.10 64-bit). Isn't pulse-audio in 8.04 to? Then downgrading might work
(either ALSA and/or Pulse) to see which of them causes the problem.
Somewhat strangly, an external mic does work - I cannot alter the input
level correctly though and it is quite loud.

On Fri, Dec 12, 2008 at 8:46 AM, Rocko <email address hidden> wrote:

> I tried BIOS A12 and it hasn't made any difference - alsa still didn't
> detect a digital capture volume control.
>
> I did, however, manage to make alsa-mixer show a digital volume capture
> control by copying the definition across from Hardy into the
> /etc/asound.state file, doing a sudo alsactl restore, and restarting
> alsa-utils.
>
> However, the control thus created has absolutely no effect on recording
> level. So it seems it is possible to fool alsa/pulseaudio into thinking
> there's a control even though it doesn't write changes correctly back to
> the sound card when you adjust the control.
>
> --
> audio recording very silent
> https://bugs.launchpad.net/bugs/275998
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

If you:

1) experience the reported issue on recent Dell hardware running intrepid _or_ jaunty,
2) have libasound2-plugins and pulseaudio installed,

please link to a pastebin url containing:

1) alsamixer -c0 (bypasses pulse),
2) alsamixer (does not bypass pulse),
3) the url from executing the bash script http://www.alsa-project.org/alsa-info.sh.

Please be sure to mark the pastebin entry as "not expiring".

Changed in linux:
status: Invalid → Incomplete
Rocko (rockorequin) wrote :

Here's a link to an alsa-info.sh using alsa 1.0.18 (which gives the same results as 1.0.17 for me):

http://www.alsa-project.org/db/?f=3846ce236ee825f8b4329a19b34e8cb43c88333a

I also reported the inability to adjust the recording level as a bug at alsa-project, https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4286.

What's a pastebin url and how do I make one?

Josh Derr (josh-derr) wrote :

Ok, dumped my alsamixer and alsa-info out to pastebin link: http://pastebin.com/f74ad3e25

@Rocko
Pastebin: http://pastebin.com/
Pretty straightforward, dump in your text, give it your name, and press send.

Tom Haddon (mthaddon) wrote :

Screenshots of "alsamixer -c0" and "alsamixer" to be found here:

http://www.greenleaftech.net/static/alsa/

And output of alsa-info.sh to be found here:

http://www.alsa-project.org/db/?f=5a626cfa41ccbac9791f446055c4ab41b50772a8

Tim Black (tim-alwaysreformed) wrote :

> please link to a pastebin url containing:
> 1) alsamixer -c0 (bypasses pulse),
> 2) alsamixer (does not bypass pulse),
> 3) the url from executing the bash script http://www.alsa-project.org/alsa-info.sh.

Here is mine:

http://pastebin.com/f7ff729de

Shavak Sinanan (shavak) wrote :

screenshots of alsamixer -c0 and alsamixer along with output from the alsa-info script are here
http://pastebin.com/f7d87ff62

@Rocko
I'm using BIOS A09.

Motin (motin) wrote :

Here is a proposed workaround from http://naysaying.com/blog/2008/10/fixing-low-microphone-volume-problem.html : Please report if this works around the problem for you!

Tuesday, October 28, 2008
Fixing Low Microphone Volume Problem with PulseAudio/ALSA on Ubuntu 8.10 Intrepid Ibex running on Dell XPS M1330

   1. Open Application -> Sound & Video -> PulseAudio Device Chooser
   2. Click on the "PulseAudio Applet" on the system tray and open "Manager".
   3. Click on the "Devices" tab, select "alsa_output.pci_8086_284b_sound_card_0_alsa_playback_0.monitor" which is the "Monitor Source of ALSA..."
   4. Click properties and set the volume to maximum (480% on my computer)
   5. Record a song using the gnome-sound-recorder for testing

Shavak Sinanan (shavak) wrote :

tried that a while ago. didn't work for me.

Rocko (rockorequin) wrote :

That doesn't work for me either. (And nor does adjusting the alsa_input volume in PulseAudio Manager.)

hendrikwout (hendrikwout) wrote :

idem

i discovered something potentially interesting. With Pulseaudio running, I get the "low mic volume" problem described in this bug. If I kill pulse, and set the "Sound capture" setting in gnome-sound-properties to "HDA Intel STAC92xx Analog (ALSA)" I still have the low volume problem.

However, if I (with Pulseaudio not running) change the "Sound capture" setting to "ALSA - Advanced Linux Sound Architecture" I *can* record at a reasonable volume using gnome-sound-recorder.

Maybe the problem is that Pulseaudio latches on to the wrong device for recording?

Motin (motin) wrote :

That workaround makes it possible to get some kind of highly distorted sound captured... The issue with the original low capture volume is the same.

@Johan: That doesn't help me record in gnome-sound-recorder at a good level at all.

Changed in alsa-lib:
status: Unknown → Confirmed
mabawsa (mabawsa) wrote :

I guess we are not alone. Fedora also seems to have issues as well as Open Suse.

http://forums.opensuse.org/hardware/393830-dell-inspiron-1720-microphone-very-quiet.html

The forum describes how Hardy fixed his issue but I dunno if they upgraded to Intrepid.
I would guess that the bug comes from Pulse not regognising Alsa very well maybe in the libsdl1.2debian library.

On Sat, Dec 13, 2008 at 12:34 AM, Daniel T Chen <email address hidden> wrote:
> 3) the url from executing the bash script http://www.alsa-project.org/alsa-info.sh.

http://www.alsa-project.org/db/?f=a40fd1a3c2ca3071ecfc4b0cfb1063be48588519
--
Kristian Erik Hermansen
\xeb\xfe

Changed in pulseaudio:
status: New → Invalid
mabawsa (mabawsa) wrote :

Here is lenhart's answer from the pulseaudio development team and my response. This is my take on it all.

Replying to [comment:4 lennart]:
> PA doesn't apply its own volume adjustment except for the one exported in pavucontrol. Hence: this is either a misconfiguration of the alsa mixer (which can be fixed by playing around with alsamixer -c0) or a a misconfiguration of the PA mixer (which can be fixed by playing around with pavucontrol).

I understand this but this isn't about adjusting alsamixer -c0 or pavucontrol. These are maxed out and the recording is very soft (indeed it doesn't matter what setting one uses for a digital microphone it has no effect). Rather there seems to be something wrong with the communication between alsa-lib and pulseaudio.

Josh Derr (josh-derr) wrote :

Ok, so since upgrading to 8.10 I have no sound from the built-in mic on my XPS m1330. Skype, gnome-sound-recorder et al would just record dead air. This even I was able to get it working. I went to Volume Control -> preferences and enabled Digital Input Source (towards the end, for the Options section). Back in Volume Control -> Options, Digital Input Source was set to Analog inputs. Changing it to Digital Mic 1 has gotten my recording working again. Setting Skype to use Pulse for sound input and output works as well. Sound from the built-in microphone is still somewhat low, but not unusable. In fact, I think it was about the same level as 8.04

After reading through some of the other comments, this makes me think either a) Intrepid defaults to the wrong mic inputs or b) my no audio is a different issue from the extremely low audio reported by other users.

On Tue, Dec 16, 2008 at 7:03 PM, Josh Derr <email address hidden> wrote:
> Ok, so since upgrading to 8.10 I have no sound from the built-in mic on
> my XPS m1330. Skype, gnome-sound-recorder et al would just record dead
> air. This even I was able to get it working. I went to Volume Control ->
> preferences and enabled Digital Input Source (towards the end, for the
> Options section). Back in Volume Control -> Options, Digital Input
> Source was set to Analog inputs. Changing it to Digital Mic 1 has gotten
> my recording working again. Setting Skype to use Pulse for sound input
> and output works as well. Sound from the built-in microphone is still
> somewhat low, but not unusable. In fact, I think it was about the same
> level as 8.04
>
> After reading through some of the other comments, this makes me think
> either a) Intrepid defaults to the wrong mic inputs or b) my no audio is
> a different issue from the extremely low audio reported by other users.

I was able to get recording working now with your comments, but I
needed one more additional step. I had to set the Volume Control
dropdown to "Capture: ALSA PCM on front:0 (STAC92xx Analog) via DMA
(Pulseaudio Mixer)", untick the red 'X' to unmute, and raise the
volume control level to about 75% from 0%. But now my onboard input
mic is working, yay!!! Thanks Josh :-D
--
Kristian Erik Hermansen
\xeb\xfe

Shavak Sinanan (shavak) wrote :

that doesn't work for me

Jack Deslippe (jdeslip) wrote :

There are a large number of users reporting the same problem. It is not fake - yet you change the status to "invalid"?? Bah.

Jesper de Jong (jespdj) wrote :

jdeslip, this bug is attached to a number of packages, as you can see in the top right of this bug report. It has been marked invalid for only two of the packages. Not the whole bug report has been marked as invalid.

Rocko (rockorequin) wrote :

Jaunty has the same problem (kernel 2.6.28, alsa 1.0.18 and whichever flavour of pulseaudio is the current one).

Rocko (rockorequin) wrote :

I tried using arecord -vv as per the instructions on http://www.alsa-project.org/main/index.php/SoundcardTesting, and my faked "Digital Capture Volume" DOES affect the volume recording level for this application.

But it has no effect on gnome-sound-recorder (or Skype) irrespective of which device I chose.

So it seems I have two issues on my PC:

a) ALSA doesn't detect/display the digital capture volume control by default. I had to add it to /etc/asound.state manually (copying it from Hardy) and do a sudo alsactl restore. I think this is an ALSA issue. I have no idea why the control appears for some people and not others.

b) The digital capture volume has no effect on gnome apps. This is presumably a pulseaudio issue since digital capture volume works in arecord.

Btw, I'm now using alsa 1.0.18 from the jaunty repositories, but I don't think it's all that different from 1.0.17.

Changed in pulseaudio:
status: Invalid → New
mabawsa (mabawsa) wrote :

I wonder if this is related?
https://bugs.launchpad.net/dell/+bug/309508

Its in the new kernel 2.6.27-11.22 but I haven't got pulse installed.

Anybody tried?

Rocko (rockorequin) wrote :

The notes from https://bugs.launchpad.net/dell/+bug/309508 say it's for a different subsystem id from the XPS M1530 (which is 022e instead of 0271) so I wouldn't have thought it would help.

However, haven't said that, I did briefly manage to get working with this combination:

* kernel 2.6.27-11
* alsa-base 1.0.18.dfsg-1ubuntu2
* alsa-utils 1.0.18-1ubuntu3
* linux-sound-base 1.0.17.dfsg-2ubuntu1
* pulseaudio 0.9.13-2ubuntu3 [although pulseaudio fromis not currently running - it segment faults if I try to run it]
* Audio conferencing sound capture set to ALSA (not the HDA intel card)

With this setup, the digital capture control changed the volume recording level in gnome-sound-recorder as I adjusted it. I then (foolishly) tried to run pulseaudio (which segment faulted) and subsequently the ALSA capture device stopped working - only the HDA Intel source works now, and the digital capture volume control doesn't adjust the level for this capture source. (The digital capture volume control doesn't even always appear when I restart alsa.)

The alsa 1.0.18 packages are from the jaunty repository. I tried removing everything to do with sound to revert to alsa 1.0.17 but couldn't because when I tried to revert libasound2, synaptic wanted to remove just about every other package including unrelated ones like compiz, and I ran into a problem installing libasound2-plugins (to get pulseaudio back) without uninstalling libasound2 first.

Shavak Sinanan (shavak) wrote :

Ok so I did a fresh install about 3 days ago (not because of this bug, just because i wanted to add a FAT32 partition for both windows and linux to read/write) and I have all the repositories enabled - intrepid backports, intrepid proposed etc and about 5 minutes ago, after being prompted by the update manager, I did a partial upgrade and skype audio capture seems to be working now. among other things, the upgrade removed a bunch of packages related to pulseaudio. i'm guessing that it sort of did automatically something along the lines of what was described above.

Chris Ian Fiel (ccfiel-gmail) wrote :

This are the things I did and so far I still have the problem. Very low volume mic.

1. Shavak Sinanan does not work
2. Motin solution does not work
3. Josh Derr works but very low volumn (still unusable)

My system is xps m1330

Marcus Granado (mrc-gran) wrote :

I've just moved to Intrepid (alsa 1.0.17) on a Dell Inspiron 1720 with Intel audio (00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)), and I was having exactly this same problem: my internal digital microphone on the top of the screen would only capture my voice if I shouted.

I was able to quickly fix it by modifying my /etc/asound.conf. The idea was to use ALSA's softvol dB-gain plugin to do a software mic boost and pipe that to a new pulseaudio device "pulseboost" that can be used by Skype etc.

After adding those lines below and rebooting, you should see a new slider called "+50dB Mic Capture Volume" in gnome-volume-control's Recording tab (if you don't see it, go to Preferences and check it). Raise it to maximum (+50dB), or a bit below that in case the maximum value clips your voice or captures too much noise in the environment.

In my case, Skype was able to list a new device named "pulseboost" in its Options configuration dialog's SoundDevices tab. If you choose this device for SoundIn, Skype can benefit from the +50dB softvol mic boost in gnome-volume-control. I also chose it for my Skype's soundout/ringing, but I think that's not required.

Is there a side-effect to this? Well, I guess that with this setup you can only use the mic at one application at any time, because it directly accesses the mic's hw:0,0, but at least you have a huge mic boost in that application.

### my /etc/asound.conf:
pcm.pulseboost {
    type asym
    playback.pcm {
        type pulse
    }
    #software gain upto 50dB for digital microphone
    capture.pcm {
        type softvol
        slave.pcm "hw:0,0"
        #slave.pcm "pulse0"
        control {
            name "+50dB Mic Capture Volume"
            card 0
        }
        max_dB 50.0
    }
}
ctl.pulseboost {
  type pulse
}

I also added the line 'load-module module-alsa-source device=pulseboost' to my /etc/pulse/default.pa, and renamed my ~/.asoundrc to avoid any conflicts with my previous alsa configuration, but I think that's unnecessary.

That would probably work with Hardy, Gutsy, Jaunty etc as well. Please let me know if that works for anyone here.

Bengt Olsson (bengt-blafs) wrote :

Marcus,

Sounds like a good work-around, however I have no /etc/asound.conf file... :( Is that something special for the Intel sound device? Have

sudo lspci | grep audio
02:0a.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)

Same problem with very low recording volume (and no "Digital" control options in the alsamixer)

Marcus Granado (mrc-gran) wrote :

Hi, Bengt,
I didn't have the file /etc/asound.conf as well, I just created a new one with the contents above. (If you had this file with something in it, you should just append the contents above to the bottom of it.) This file is not specific to the Intel sound device, it is generic for ALSA, so this workaround should work with any card supported in ALSA. Try the solution above, I guess it is quite likely it works for your SB Audigy. Let us know if that's the case...

Marcus Granado (mrc-gran) wrote :

@Bengt: BTW, you should verify if your SB Audigy mic device is located at "hw:0,0". This is in the format "hw:<card>,<device>". If not, you should modify the corresponding line in the /etc/asound.conf file above. In order to find this out, I think you can use the output of "arecord -l" or "aplay -l". Other possible values are "hw:0,1", "hw:0,2", ... "hw:1,0" etc.

vinlos (vincenzo-losito) wrote :

Wonderful Marcus,

it works, but now I hope Pulse audio team could find an own solution to make it work just out-of-the-box

vinlos (vincenzo-losito) wrote :

I have a dell xps m1330 with HDA Intel sound card

Tomek Bury (tomek-bury) wrote :

Hello,

It doesn't work for me I'm affraid. I've got Dell XPS M1330.

lspci reports:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
 Subsystem: Dell Device 0209
 Flags: bus master, fast devsel, latency 0, IRQ 21
 Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 3/3
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2

The /etc/asound.conf didn't work at all. I had to rename it to ~/.asoundrc to make the new control to appear. But it has no influence on mic sensitivity at all. I've tried hw:0,0 0,1 0,2 and 1,0 (restaring alsa after each change) - none of them worked. In fact none of the recording sliders have any influence on the recording volume.

I'll try to get rid of all audio packages but the standard ones and I'll try again.

Cheers,
Tomek

Tim Black (tim-alwaysreformed) wrote :

@Marcus:

Thank you for your help!! I created an /etc/asound.conf file following your directions and changed the appropriate line to read:

slave.pcm "hw:Intel,0"

I did that because Skype lists "hw:Intel,0" as one of its available sound devices. In other words, the changed line now references the device name (Intel) rather than the device ID (0).

The result is that Skype works.

@tomek:

I should mention that the new slider now DOES affect the recording volume on my machine.

Chris Ian Fiel (ccfiel-gmail) wrote :

 tomek.bury thanks a lot! it works in my xps m1330. It works in skype. but not in sound recorder.

Marcus Granado (mrc-gran) wrote :
Download full text (4.2 KiB)

I had an interesting chat with pulseaudio's Lennart some time ago, it might interest some of you here. IMHO that Lennart seems to acknowledge this problem in pulseaudio, but also says that this could be fixed by a modification in the alsa modules (by removing all hardware volume control in alsa so that pulseaudio would take over the channel and automatically expose software amplification by scaling), and he also seems to be trying to find people asking for a fix so as to justify the work into adding softvol dB-gain to pulseaudio on top of the already existing hardware-vol dB-gain that alsa usually provides.

I guess that people here and from other distros could show him that there's demand for such a fix, by commenting as much as possible on pulseaudio's corresponding bug at http://pulseaudio.org/ticket/423 and letting him know of how many people are being affected, and maybe asking pulseaudio to expose the already existing software amplification scaling to the UI, together with some dynamic range compression to avoid signal clipping.

Cheers,
Marcus

-----
>Dear Lennart,
>
>I've been looking at the source code of module-alsa-source (at
>http://www.pulseaudio.org/browser/branches/glitch-free/src/modules/module-alsa-source.c?rev=2308 )
>trying to understand how I could produce a +20dB software gain or so to my alsa microphone.
>
>Looking around lines 649 (source_get_volume_cb) and 686 (source_set_volume_cb,
http://www.pulseaudio.org/browser/branches/glitch-free/src/modules/module-alsa-source.c?rev=2308#L686 ),
>it seems that there is some kind of volume normalization being produced via PA_VOLUME_NORM. Do
>you think if I modified PA_VOLUME_NORM, changing it to a larger value, then source_set_volume_cb
>would accept larger volumes for the alsa microphone? Or is this a global parameter that would
>produce out of range samples all around?
>
>Or is there something simpler to do (like using some volume amplifier plugin between the alsa mic
>source and pulse mixer), or some pulse configuration that I could use instead (maybe something
>related to ladspa, but I cannot find a pulseaudio ladspa source plugin, only a module-ladspa-sink).
>
>Thanks in advance,
>M.
-----

>> Dear Lennart,
>
>
>I don*t think that simply scaling all PCM data with 20dB is such a
>good idea, due to clipping and stuff. If you want this, then we should
>add some dynamic range compression code first.
>
>> I've been looking at the source code of module-alsa-source (at
>> http://www.pulseaudio.org/browser/branches/glitch-free/src/modules/module-alsa-source.c?rev=2308 )
>> trying to understand how I could produce a +20dB software gain or so to my
>> alsa microphone.
>>
>> Looking around lines 649 (*source_get_volume_cb*) and 686 (*
>> source_set_volume_cb*,
>> http://www.pulseaudio.org/browser/branches/glitch-free/src/modules/module-alsa-source.c?rev=2308#L686 ),
>> it seems that there is some kind of volume normalization being produced via
>> PA_VOLUME_NORM. Do you think if I modified PA_VOLUME_NORM, changing it to a
>> larger value, then source_set_volume_cb would accept larger volumes for the
>> alsa microphone? Or is this a global parameter that would produce out of
>...

Read more...

Marcus wrote,

> IMHO that Lennart seems to acknowledge this problem in pulseaudio, but also says that this could be fixed by a modification in the alsa modules (by removing all hardware volume control in alsa so that pulseaudio would take over the channel and automatically expose software amplification by scaling)

It seems to me then that an appropriate way for Alsa to allow Ubuntu to continue migrating to Pulseaudio would be to add a checkbox to Alsa's settings which says "Allow Pulseaudio to manage all volume control," and make the effect of that checkbox be that it disables Alsa's hardware volume control code.

mabawsa (mabawsa) wrote :

Or have a switch that disables pulse all together in ubuntu rather than having to remove the ubuntu-desktop. I haven't had any issues with only running Alsa it just works. What is the purpose of pulse audio, I was never too sure?

skull77 (skull77) wrote :

@ Marcus:

thank you very much!

It works for me (xps m1530). I tested it in skype.

@mabawsa

From what I can see from the diagram below and its related explanations, one reason is that not every application (Skype may be a good example) uses Alsa. Instead, applications use a variety of sound systems. PulseAudio integrates all those systems into one.

http://upload.wikimedia.org/wikipedia/commons/1/14/Pulseaudio-diagram.png

Rocko (rockorequin) wrote :

I think software volume boost (both capture and playback) is a fantastic idea - wouldn't it be great if alsa incorporated it into the hardware controls as standard once you adjust past 100%? (On my XPS M1530 the playback volume is very low - I need to have everything set to near 100% to make it audible.)

Having it in pulseaudio is a great idea as well (if only pulseaudio worked consistently).

@mabawsa - thanks for the tip. It works for me in skype, although not in sound-recorder (presumably because the new control doesn't appear in gnome-sound-properties, so you can't assign it as the default gnome sound capture device).

mabawsa (mabawsa) wrote :

@timblack1

Thanks for the info, explains things a bit better. Maybe it will become
better in Jaunty. For me removing pulse audio then switching everything
to default totally solves this issue (even in Skype). So if
gnome-sound-properties could actually do this without having to totally
remove pulse using synaptic then this would be a step ahead until
pulseaudio and ALSA start speaking to each other again (or Alsa to pulse
at least ;-) )

Just an idea

Marcus Granado (mrc-gran) wrote :
Download full text (3.5 KiB)

@Chris,Rocko,mabawsa:

In order to make the micboost available to all pulseaudio clients in Ubuntu, like gnome soundrecorder, you can also use the alsa softvol trick that I suggested above in reverse, creating a new alsaboost device on top of which you will run pulseaudio, by modifying the following files (1) and (2) below (make a backup of those files first, just in case something breaks in your Ubuntu).

After restarting alsa/pulseaudio (or rebooting), you should verify that the program "paman" shows alsaboost_sink and alsaboost_source as the default pulseaudio sink and source. From now on, all ubuntu programs that understand pulseaudio should be able to automatically benefit from the micboost when recording. You can test this by changing the new +50dB Mic slider in gnome volumecontrol while recording in gnome soundrecorder. Let us know if other recording programs work fine as well.

caveat 1: skype doesn't like to use pulseaudio, so you should still choose the "alsaboost" device for its SoundIn configuration, but you can use "pulse" for its SoundOut and Ringing. This seems to be a deficiency in skype, and the side-effect is that while skype is in a call, you won't be able to use the mic in a different application like gnome's soundrecorder. Also, if another program is using the mic, skype won't be able to use it.

caveat 2: under this configuration, skype also likes to mess with the value of the +50dB Mic slider if the option "Allow skype to automatically ajudst my mixer levels" is checked in. I would recommend disabling this option, or at least keeping in mind that if the mic stops recording, it's very likely that skype messed with the micboost slider.

This hack worked for me, let me know if that works for you (and anyone else).
Cheers,
Marcus

----
1) create/update your /etc/asound.conf:

# creates a new alsaboost device that takes over sound card
pcm.alsaboost {
    type asym
    playback.pcm {
        type hw
        card 0
    }
    #software gain upto 50dB for digital microphone
    capture.pcm {
        type softvol
        slave.pcm "hw:0,0"
        control {
            name "+50dB Mic Capture Volume"
            card 0
        }
        max_dB 50.0
    }
}
ctl.alsaboost {
  type hw
  card 0
}

----
2) modify your /etc/pulse/default.pa, in order to add the two uncommented lines below at a
similar place in your default.pa (around line 35 in my case), and keeping all the
remaining lines in your default.pa (this location is important, do not put them at the bottom
of default.pa or otherwise alsaboost will not load properly in pulseaudio because it
will prefer to load, instead, the original sound device via module-hal-detect a few lines down):

### Load audio drivers statically (it's probably better to not load
### these drivers manually, but instead use module-hal-detect --
### see below -- for doing this automatically)
#load-module module-alsa-sink
#load-module module-alsa-source device=hw:1,0

load-module module-alsa-source device=alsaboost source_name=alsaboost_source
load-module module-alsa-sink device=alsaboost sink_name=alsaboost_sink

#load-module module-oss device="/dev/dsp" sink_name=output source_name=input
#load-modu...

Read more...

Marcus Granado (mrc-gran) wrote :

It's necessary to do another thing, otherwise the device alsaboost_sink will conflict with the original sound card device provided to pulseaudio by hal, and therefore some apps will not be able to share the sound card:

3) comment out the line 'load-module module-hal-detect' in your /etc/pulse/default.pa (just add a # in front of it).

Nico_argentina (ferrettinico) wrote :

Following Marcus steps 1), 2), 2b) and 3) solved the problem in my Dell XPS 1530! Thanks!
It's working with Gnome Sound Recorder and in Skype perfectly!

Rocko (rockorequin) wrote :

Marcus, thanks heaps! Mine now works in both sound recorder and skype as well.

Thanks Marcus, it works like a charm. Following the upstream and RedHat trackers it does not seem the issue will be fixed anytime soon though :-/

Tomek Bury (tomek-bury) wrote :

Hello Marcus,

Your solution worked for me - both M1330 and M1530 started record loud and clear.

I guess step 3) was an important one because I've tried it previously after your earlier post (steps 1, 2 and 2b) on M1330 and it didn't work than.

Thanks!
Tomek

Sachin Garg (ascii79) wrote :

thnx this works for me too on

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

hendrikwout (hendrikwout) wrote :

Thx, Marcus

Worked here also. now I can finally switch to from hardy to intrepid which works definitally better with this laptop.

Kyle Mathews (mathews-kyle) wrote :

Marcus -- That worked perfectly. Thanks so much for solving (via a hack, but a solution is still a solution) a problem that'd been frustrating me for a long time.

Chris Ian Fiel (ccfiel-gmail) wrote :

Thanks, Marcus it works now in gnome sound recorder and skype in my m1330.

chris

Treris (treris) wrote :

Marcus' solution worked for me as well on a m1330 on hardy x86_64. Thanks a lot Marcus! I do hope that the problem will be fixed out of the box when jaunty arrives, but at least now I can use skype again without resorting to external microphones.

Thomas (thomas-scheffler) wrote :

I can confirm that the solution provided actually gives some input but compared to alsa only (without pulseaudio) I noticed much more noise in the recording and it sounds distorted.

I am using an increase of +25db, the +50db made the recording completely distorted and contains only noises and clicks. I see this just a temporary fix and somehow the whole thing worked without workarounds in 8.04 and it was loud and _clear_ then.

Tomek Bury (tomek-bury) wrote :

Perhaps the alsa (non-pulse) "Digital" slider controls analogue sensitivity (pre-amp)? Marcus' hack adds software amplification - post-amp at the very end of chain. Basically it's multiplying the samples (both captured sound and whatever noises/distortions) by some factor. The later the amplification is done the more distortions add up to the sound and amplifier boosts all of them equally.

The ideal solution would be to restore the original control, still Marcus' slider is way better than bare pulse. I'd keep his solution as a good workaround and keep the bug open until a proper solution is in place.

Cheers,
Tomek

talent03 (talent03) wrote :

I would have to agree with tomek.bury here. I have finally had success with Marcus's solution, but it is still a major workaround. Recording is bearable but not in any way optimal. I can hear clicks, distortions, and other minor things. Bearable. This bug should be fixed... hopefully soon, but this should suffice, for a bit. This should continue as an open bug.

Treris (treris) wrote :

I agree with talent03, Marcus' solution is a workaround and not an actual fix, this bug should not be closed.

arnarag (arnar-arnar) wrote :

I'm running a Dell xps m1330 and managed to fix this. The problem for me was pulseaudio. What I did was that I removed pulseaudio and installed esound instead.

I used this guide here: http://ubuntuforums.org/showthread.php?t=973637

After this I set everything in System -> Preferences -> Sound Preferences to "ALSA - Advanced Linux Sound Architecture" and in Default Mixer Tracks I set it to HDA Intel and chose Master - Capture - Digital and Mux. I have no idea if this is relevant, but it works for me with these settings. Then I went to sound settings in the top right corner and just turned everything up, unmuted everything and in HDA Intel -> Options I set Digital Input Source to Digital 1 and the rest to Front Mic.

I've tried this with sound recorder and Skype. In Skype options -> sound devices I set everything to Default Device but unchecked the Allow Skype to... thing.

Hope this works for more users,
Arnar

Daniel T Chen (crimsun) wrote :

Luke, we could ship an additional stanza in alsa-lib.

Changed in alsa-lib:
importance: Undecided → Wishlist
status: New → Triaged
assignee: nobody → crimsun
Javier Jardón (jjardon) on 2009-01-08
description: updated
Thomas (thomas-scheffler) wrote :

The workaround does not work for skype as it produces a huge echo effect at the side of my dialog partners. This is not the case with pulseaudio disabled. So currently there is no way of having pulsaudio enabled on my xps 1530.

talent03 (talent03) wrote :

@Thomas - I had the exact same problem, but I worked around it by adjusting the level of the mic boost and the level of the capture to get it just right. I tested it with skype and sound recorder. Once I did not have the problem, I just set skype in the preferences so it would not adjust my volume. That is why I said further up that this is obviously a major workaround... at least it is a workaround that seems to work.

Binoy (mailbinoyv) wrote :

The fix mentioned here, worked for me

http://www.naysaying.com/blog/2008/10/fixing-low-microphone-volume-problem.html
I have a dell XPS 1530. Ubuntu Intrepid ibex
------------------------
   1. Open Application -> Sound & Video -> PulseAudio Device Chooser
   2. Click on the "PulseAudio Applet" on the system tray and open "Manager".
   3. Click on the "Devices" tab, select "alsa_output.pci_8086_284b_sound_card_0_alsa_playback_0.monitor" which is the "Monitor Source of ALSA..."
   4. Click properties and set the volume to maximum (480% on my computer)
--------------------------

mabawsa (mabawsa) wrote :

Tried the fix. It did improve microphone pickup by 4.8 times on my M1330.
However the pickup was still much worse than by purging pulseaudio and using only ALSA.

Dustin McCoy (dustin-mccoy) wrote :

Any information on how to do this workaround in KDE?

mabawsa (mabawsa) wrote :

Yay finally got a fix for my pulse problems in Intrepid.
The following was from a pulseaudioless M1330 system:
I added the following ppa to my sources:
~$ sudo nano /etc/apt/sources.list

deb http://ppa.launchpad.net/janvitus/ubuntu intrepid main
deb-src http://ppa.launchpad.net/janvitus/ubuntu intrepid main

Update the system in synaptic and selected pulseaudio and paman.
This installs the pulseaudio 0.9.13 and ALSA 1.0.18.

Then also installed paman using synaptic and ran the following from my startup session (these may already be there):
start-pulseaudio-x11
padevchooser

I then changed the sound config (attachment) to be autodetect or pulse.

At the terminal:
~$ asoundconf set-pulseaudio

Then I set skype to use all pulse.
I restarted the computer.
If the pickup is still weak then you can amplify using the PulseAudio Applet (should be in the notification area). The exact details will vary with the soundcard type
left click -> manager -> devices -> alsa_input.pci_284b_sound_card_0_alsa_capture_0
I currently have it set at 170%.

Kudos to Gianvito Cavasoli for the ppa. https://launchpad.net/~janvitus/+archive
Only thing is I cannot install ubuntu desktop as libcanberra-gnome is removed.

mabawsa (mabawsa) wrote :

There is now an even newer ppa that works better as it includes some bluez updates as well as the latest Alsa and Pulse. Also you can keep Ubuntu Desktop installed
Thanks to spitfire.
deb http://ppa.launchpad.net/mieszkoslusarczyk/ubuntu intrepid main #Bluez, Alsa, PulseAudio
deb-src http://ppa.launchpad.net/mieszkoslusarczyk/ubuntu intrepid main #Bluez, Alsa, PulseAudio

Jack Deslippe (jdeslip) wrote :

So, have you verified that this solves these new packages solve the problem even with pulse installed and enabled?

Rocko (rockorequin) wrote :

The new packages fix Intrepid's gnome-sound-recorder for me, but I can't get skype to record anything. If I tell skype to use pulse, it thinks it's recording when I do the test call, but plays back silence. The other settings all result in a 'problem with audio capture' for me.

(An aside: In the latest Jaunty, I got skype working with a decent recording level with the built-in sound packages just by telling it to use pulse for everything. Jaunty's gnome-volume-control doesn't let you set the output sound levels for PC and front speaker, so at first I got no sound playback, but I used alsamixer to fix this.)

Rocko (rockorequin) wrote :

Due to some issues with the new gnome-volume-control, Jaunty has reverted back to Intrepid's gnome-volume-control, and so this bug now also applies to Jaunty. (You can adjust the digital mic sensivity via PulseAudioManager, though.)

John Pye (jdpipe) wrote :

Can someone involved in official Ubuntu packaging possibly give some guidelines on the recommended minimal steps required to workaround this bug on Intrepid? Since it sounds like it's going to be with us for a while...

Are external packages really required? Is a solution with ALSA preferred? Do I need to create an alsaboost device? Nothing seems to work for me. EEEK!

Artur Przychodzeń (lykos4) wrote :

The same problem on HP Compaq 6720s, internal microphone not working, external microphone via line-in works just fine.
All volume controls maxed out, etc... I read tons of posts on net related to this issue.

My variation of the bug is that every time when I enable the Capture control on Recording tab (small microphone icon) in gnome volume control, it is disabled when I open volume control again. So I just can't enable it because it gets auto disabled.

My sound card: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03) AD198x

It's very strange that so MANY people struggle with this nasty bug and still there is no fix for that.

Changed in pulseaudio:
status: New → Unknown
Peter (peterber) wrote :

If I do this:
1. Open Application -> Sound & Video -> PulseAudio Device Chooser
   2. Click on the "PulseAudio Applet" on the system tray and open "Manager".
   3. Click on the "Devices" tab, select "alsa_output.pci_8086_284b_sound_card_0_alsa_playback_0.monitor" which is the "Monitor Source of ALSA..."
   4. Click properties and set the volume to greater then 100%.
   5. Play some music while you do step 4. above and you'll notice a volume increase.

But as we interested to increase the volume of the input sound I try in step 3.

   3. Click on the "Devices" tab, select "alsa_input.pci_8086_284b_sound_card_0_alsa_capture.monitor"
   4. Why is it not possible to set the volume greater then 100% with alsa_input selected?

 Is this related to the low mic input?

see attached screen pic. Note the barely seen Pulse Audio volume meter bars.

Levy (michel-levy) wrote :

The solution of Marcus granado described in
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/275998/comments/109
works for me (ubuntu jaunty 9.04, computer Dell xpsM1330).
I can use skype and gnome-sound-recorder.
For skype it's a good solution but for the sound-recorder, the micro is still a little low.

Thank you really much to Marcus.

Pedro Villavicencio (pedro) wrote :

If there is not an opensuse bug to link to it makes no sense to have a taks open for that, closing the opensuse task, feel free to reopen if you have a link to the opensuse BTS to link to. thanks.

Changed in pulseaudio (openSUSE):
status: New → Invalid
torstenaf (afguy) wrote :

Same here. Very low volume with pulseaudio and ICH6, older Sony VAIO laptop VGN-S505.
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)

I have a simple but not elegant solution.

1) Open volume control.
2) Preferences
3) Enable "Microphone", "Capture" and the first "Input Source"
4) Close Preferences
5) Click "Options" tab
6) Change the input source to "Front Mic"
7) Try to record something.
8) Change the input source to "Mic"
9) Recording now works.

Somehow changing the input source away from "Mic" to "Front Mic" and back to "Mic" does something to the sound system. The result is that I am now able to record sound appropriately, and Skype works correctly.

torstenaf (afguy) wrote :

Same here, ICH6 and 8.10 on older Sony VAIO.

If I add the "Input Source" from the volume manager preferences, then click "Options" and change "Mic" to "Front Mic" and try to record something, it doesn't work. If I then change "Front Mic" back to "Mic" I have normal audio recording. Skype (set to use pulseaudio) also works now.

Jason Gullifer (jgull8502) wrote :

I tried the solution that torstenaf suggested and it didn't work.

Then I went ahead and tried Marcus' hack recommended by earlier posters (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/275998/comments/109). This worked for me and fixed skype, but I couldn't get sound recorder to work, although this is less important for me.

It would be nice if an actual solution was worked into alsa though. :)

Thomas (thomas-scheffler) wrote :

The bug is still present on jaunty with updates of 2009-03-30 on XPS M1530 (amd64).

sudo chmod -x /usr/bin/pulseaudio

"fixes" it for the moment by making pulseaudio unexecutable.

Jack Deslippe (jdeslip) wrote :

On jaunty, Marcus solution worked for me on skype. Didn't seem to raise volume on gnome-sound-recorder though... Can this not be added to alsa somehow??

Jack Deslippe (jdeslip) wrote :

I can now get gnome-sound-recorder/audacity to work by going to pulse-audio-manager (paman), going to devices and selecting the properties of the alsa input device and increasing volume above 100%. It seems like the new gnome-volume-manager would give you this ability but ubuntu choose not to include for jaunty. That is too bad.

Vitaly (vbabiy86) wrote :

The new gnome-volume-manager was in the first alpha but for some reason is was pulled with really sucks.

Jack Deslippe (jdeslip) wrote :

Do after discovering the paman fix, I got rid of the added asound.conf file for the +50dB Mic device and the device no longer shows up in skype etc... However, I can't seem to get it from showing up in the gnome-volume-control and /var/lib/alsa/asound.state - how do I delete the 50dB MIC control from alsa so I am back at a prestine jaunty alsa configuration?

talent03 (talent03) wrote :

I just upgraded to jaunty and I tried that volume manager fix and it worked. It still sounds horrible and almost unusable. It has been a year already and nothing from pulseaudio side or alsa side have offered any fix so far. The pusleaudio developer just seems like he really doesn't care. Although he says the digitized data coming from the mic can be boosted through the ui of pulseaudio, doesn't mean it fixes anything. When just using alsa the digitized data seems to be just fine without any "digital" boost. At least for me. Pulseaudio just seems to lose something from grabbing that data from alsa. I at least hope I am wrong, as I do not know too much about these systems, but if anybody really knew that much more this problem would be fixed. Regarding how the pulseaudio developer keeps dropping this bug, I just don't see this getting fixed anytime soon. The only bet is to get rid of pulseaudio to get any decent use out of the internal mic.

Jack Deslippe (jdeslip) wrote :

I personally think the problem will be 'effectively fixed' as soon as ubuntu incorporates the new gnome-volume-manager that allows you to increase the volume past %100 (as you can only do now in paman). Does anyone know if there is a PPA for the new manager somewhere?

mabawsa (mabawsa) wrote :

However using the pulseaudio boost workaround has problems for me on my Dell M1330. It does boost the sound to an acceptable level it creates a crazy lag in Skype. If you switch hw then the sound becomes very faint again. So i for one am back to an ALSA only configuration. It works perfectly well without pulseaudio. This all worked in Hardy and the mike works well in ALSA so I really feel that this is pulse audio not grabbing the correct ALSA settings.

Any news from the developers?

Treris (treris) wrote :

Since kde 4.2 came out I've been using kubuntu (again, switched to gnome about 18 months back) and there are no recording problemens here, it all basically works out of the box, even though pulseaudio is still installed because it's somehow needed to get sound working with flash movies in firefox.
The problem might therefore not even be pulseaudio, but the interaction between the gnome volume manager and pulseaudio.
Hope this somehow helps pinpoint the problem.

mabawsa (mabawsa) wrote :

I was fairly miffed at the pulsepeople closing the bug and saying its the HW issue. This is not good as it used to work in hardy and works great in ALSA with no pulse; and dare I say it even Vista ;)

So I reopened the bug to try to get a better answer. Maybe people here can lend a hand to get the volume of messages on this bug up and something may get done. I for one am convinced the issue is with pulse.

Here is what I wrote:

#423: pulse audio breaks the microphone recording on Intel ICH7/8/9 chipsets
-----------------------+----------------------------------------------------
  Reporter: mabawsa | Owner: lennart
      Type: defect | Status: reopened
  Priority: high | Milestone:
 Component: libpulse | Severity: major
Resolution: | Keywords: Intel Microphone Recording
-----------------------+----------------------------------------------------
Changes (by mabawsa):

  * status: closed => reopened
  * resolution: elsewhere =>

Comment:

 This all used to work in Ubuntu 8.04.
 Something changed to stop the digital amplification in ALSA being used
 when pulse is installed from Intrepid and Jaunty.
 Do you know what Lennart?

 ALSA also works incredibly well once pulseaudio is removed.
 So where is the resolution? The gnome-volume-control has been dropped by
 Jaunty. If I use pulse with Skype it creates massive lag rendering it
 useless. If I use hw microphone in Skype (the workaround for this) the
 microphone is faint and cannot be boosted.

 This is effecting many users and all paths lead to an issue with
 pulseaudio. So I have reopened the bug.
 Thanks for your effort on this, it would be nice to have pulseaudio
 working as it looks like it is somewhat useful.

 mab

mabawsa (mabawsa) wrote :

OK the developer at pulse closed the bug again and laid the blame on ubuntu not implementing g-v-c. He also said I was misusing the bug reporting system. So I guess nothing will be done after almost 8 months. Anyway here is my last message:

#423: pulse audio breaks the microphone recording on Intel ICH7/8/9 chipsets
-----------------------------+----------------------------------------------
  Reporter: mabawsa | Owner: lennart
      Type: defect | Status: closed
 Milestone: | Component: libpulse
Resolution: distrospecific | Keywords: Intel Microphone Recording
-----------------------------+----------------------------------------------

Comment(by mabawsa):

 Hi Lennart, I tried Fedora's live CD and it had exactly the same issues on
 my Dell M1330. The digital volume had no effect on ALSA. When I boosted
 the volume through the control the record sound lagged and was unusable.
 After killing pulse and reloading ALSA everything worked well.
 Unfortunately OpenSuse produced no sound whatsoever so i couldn't test it.
 Shall I download the Mandriva Live CD and test that?
 So why is this an ubuntu specific bug (redhat-bugs #474477), indeed you
 have commented on this bug. So I find it weird why I was chastised
 earlier.
 What I do not understand is why does pulseaudio not recognize the ALSA
 digital mic control settings and simply relay these. Just now these have a
 far superior quality than boosting the microphone via pulse and avoid
 delay issues with some software. It used to do this in Hardy's pulseaudio,
 what has changed?
 If you can help or have any further constructive advice about where I can
 file a bug then please advise.

-- Ticket URL: <http://pulseaudio.org/ticket/423#comment:15> PulseAudio <http://pulseaudio.org/> The PulseAudio Sound Server

Jack Deslippe (jdeslip) wrote :

Do you also have lag/quality problems on gnome-sound-recorder and audacity? I think perhaps Skype has other problems with pulse beyond the low volume (although it seems to be working ok for me on my Dell 1420 now that I increased the input volume beyond 100% in paman). Audacity is probably the best test. On the skype linux blog today, the developer said in the comments that a new hotfix version with pulseaudio would be coming soon (whatever soon means).

By the way, are you sure the default source device in pulse is set to alsa capture and not the "alsa monitor" device. I don't know what they mean by Monitor, but it is not the mic above the screen. ;)

Jack Deslippe (jdeslip) wrote :

I also thought, I would point out that when you increase the volume past 100% in paman, you don't need to go very far because it is nonlinear. I find increasing it to 130% is sufficient. If it is much higher I just get crap out of the mic...

Rocko (rockorequin) wrote :

@mabawsa: Ubuntu didn't incorporate the latest g-v-c because it was buggy (from memory, it was missing controls and not integrated with gnome-sound-properties properly). At the time I saw it it also didn't adjust the volume past 100%. The pulseaudio stuff is buggy too: the pulseaudio volume control only goes to 100% unless you've used paman to set it at more than 100%. So I agree that the pulse developer's excuses are poor.

@jdeslip: I get the same thing with both output and input, anything past 110-130% is distorted. It makes a mockery of the 480% max!

If the mic works with pulseaudio removed, maybe pulseaudio just isn't mature enough yet. Maybe Ubuntu should offer an _easy_ way of disabling it, eg in an audio configuration manager.

mabawsa (mabawsa) wrote :

I did install g-v-c last night and it was rather buggy, but nice. However until the recording quality on the pulse mixer matches that of ALSA dmix (I have noticed lots of distortion and jumps even though I only set it to 120%) then ALSA is the only way to go. These quality issues are ubuntu wide but the lag I have seen shows up on certain websites where you use Flash to conference and for sure Skype. I have not had pulse installed for very long on any PC to do a more in-depth study. There is something about intel ICH7/8/9 chipsets that doesn't like pulse I think. An easy way to get ubuntu pulse free would also be nice, indeed I am quickly coming to the conclusion that Xubuntu may be the way to go.
I wonder if Dell would want to officially comment on this as many of their machines are shafted by this bug.

Marcus Granado (mrc-gran) wrote :

@mabawsa:
> An easy way to get ubuntu pulse free would also be nice
Maybe this?
1) sudo apt-get install bum
2) sudo bum
3) uncheck pulseaudio in the bum dialog and apply.

Daniel T Chen (crimsun) wrote :

On Tue, 21 Apr 2009, Marcus Granado wrote:

> 1) sudo apt-get install bum
> 2) sudo bum
> 3) uncheck pulseaudio in the bum dialog and apply.

No. Ubuntu does *not* use the system invocation; it uses per-session (and
per-user) instances. Read /etc/default/pulseaudio, please.

Luca Invernizzi (invernizzi) wrote :

Just for the records (and google search), following marcus grenado

* https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/275998/comments/109
* https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/275998/comments/110

 I was able to solve my issue with low microphone volume in pulseaudio on a Dell xps m1330 (exactly, m1330n) with an audio device Intel Corporation 82801H (ICH8 Family) HD Audio Controller on ubuntu jaunty 9.04.
A small change had to be done: change the line in ~/.asoundrc (or /etc/asound.conf) "max_dB 50.0" to max_dB 30.0 , otherwise the gain would be way too high.

Jesper de Jong (jespdj) wrote :

I have just installed Jaunty (amd64) on my Dell XPS M1530 and the problem still exists. I've found a way to make it work acceptably, however.

First, install pavucontrol. Then, go to the PulseAudio manager (command: paman). Go to Devices, Sources, click the alsa_input... device and click Properties. In the dialog that opens, set the volume to approx. 135%. Test with Sound Recorder if the level is OK. (I've found that the slider is quite sensitive, setting it higher, for example to 150% produces a too loud sound and lots of white noise).

In Skype (I installed Skype from Medibuntu): Set Sound In, Sound Out and Ringing to "pulse". (It looks like in this version of Skype and Ubuntu, it works if you use pulse for Sound In). Make sure that "Allow Skype to automatically adjust levels" is UNchecked.

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: torkiano 4031 F.... mixer_applet2
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6dfc000 irq 21'
   Mixer name : 'Silicon Image SiI1392 HDMI'
   Components : 'HDA:83847616,1028020a,00100201 HDA:10951392,1028020a,00100000'
   Controls : 41
   Simple ctrls : 25
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=eb4107cd-0292-4fa7-b076-ff8a1eef2419
MachineType: Dell Inc. XPS M1330
Package: pulseaudio 1:0.9.14-0ubuntu20
PackageArchitecture: amd64
ProcCmdLine: root=UUID=d329270b-642b-4536-9430-41252f29ced8 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=es_ES.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
Javier Jardón (jjardon) wrote :
mabawsa (mabawsa) wrote :

@Jesper
Yeah this is similar to 131 and 132 however using this I experience poor quality recording sound in ubuntu and during a Skype conversation an ever increasing lag, which are not there on ALSA only.
Do you get similar effects Jesper?

Jesper de Jong (jespdj) wrote :

@mabawsa
I just had a Skype conversation, and the person on the other side (on a Windows XP computer) did notice a lag of between 1 and 2 seconds between the video and sound he received from me. His video and sound (that I was receiving) was not lagging.

Note that the volume setting is very sensitive; if I put it on 150%, then I'd get noise and poor quality, but at 135% it seems to be just right.

@Jesper
Your trick also worked on my M1530, but there is indeed alot of noise. I am experiencing the lag the other way around though. From ekiga to cellphone is almost instant but from cellphone to ekiga has a 1 - 2 seconds delay. But this could be the voip provider's fault, or ekiga...

Vitaly (vbabiy86) wrote :
Rocko (rockorequin) wrote :

I just installed the alsa 1.0.20 driver on Jaunty and I now have a digital microphone control again that actually works (at least in gnome-sound-recorder - haven't tried Skype yet). Admittedly, I did it on the weekly vanilla kernel build 2.6.30.rc3, but presumably it works with the stock standard Jaunty kernel.

In case anyone else wants to try it, there are sample bash scripts to download and build the drivers, eg at http://www.antonywilliams.com/2007/10/bash-script-to-automate-compiling-alsa.html, but note that you need to change it to get alsa 1.0.20 as the example script is for 1.0.15. If you scroll down someone has posted a mod that just downloads the latest alsa. Also, you need to change the target folder for Jaunty's snd-hda-intel.ko in the alsa_2 script because the sample script is for Gutsy. Instead, it should be:

cp -v /lib/modules/`uname -r`/kernel/sound/pci/hda/snd-hda-intel.ko /lib/modules/`uname -r`/kernel/sound/pci/hda/snd-hda-intel.ko

Rocko (rockorequin) wrote :

The 2.6.30-rc6 kernel includes alsa 1.0.20 and it detects the digital mic volume control, so if you install this kernel from the weekly builds it should fix the low mic volume problem.

Parazythum (parazythum) wrote :

Hi, I'm using Jaunty, and have a Dell XPS M1330.

lspci gives me : Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

The PulseAudio Manager tip worked for me, BUT : don't let the slider go up to 480%, the input level is too high ! It works perfectly for me at 130-140% (more gives me a lot of statics).

Hope this helped.

*** paste of the message above (thanks Motin) :

   1. Open Application -> Sound & Video -> PulseAudio Device Chooser
   2. Click on the "PulseAudio Applet" on the system tray and open "Manager".
   3. Click on the "Devices" tab, select "alsa_output.pci_8086_284b_sound_card_0_alsa_playback_0.monitor" which is the "Monitor Source of ALSA..."
   4. Click properties and set the volume to maximum (480% on my computer)
   5. Record a song using the gnome-sound-recorder for testing

Hello guys, may be you want to look at this post. https://bugs.launchpad.net/ubuntu/+bug/391926. Try applying the patch mentioned there (just in case). I don't know if installing them helped, but I guess it worked for me :P . Make sure to follow this: https://bugs.launchpad.net/ubuntu/+bug/391926/comments/2 . Probably it works for you as well. Do it carefully, since I don't know sh..t about anything. All I know is that it worked very well. :)

tags: added: review-request
talent03 (talent03) wrote :

I suppose nobody involved in any of these projects have any care for this bug. This is just bullshit. Trying to talk to the different projects leads to nothing, as nobody wants to say it is their problem. Whatever. This just adds to the problem people have when trying to switch to linux. I know all these developers would rather not to deal with bugs that are troubling and continue adding features but this is the stuff that needs to be done for the general public to join in on linux, let alone Ubuntu. We had to figure out our own workarounds that are literally workarounds that do not provide anything of quality. I am mainly looking at PulseAudio as this problem is not present when working without it. Even if it may not be their problem, they still should be involved in this bug and take the steps to move this bug upstream to wherever it needs to be fixed. /rant

I am done with this bug. Please somebody tell me that I am wrong in my rant.

You are right in your rant, but wrong at the top of your voice.

With open source, we must either do the work ourselves or use the art
of persuasion to get other people to volunteer their time and
resources to meet our needs.

Lastly, I don't think the overarching goal of open source development
is to get people to switch to Linux. In fact, development it is so
chaotic, it seems that there is never any coordinated effort toward
any goal. It is frustrating to watch years pass, with significant
software gaps still unfilled while people rewrite window managers,
desktop interfaces, and so on.

On Tue, Aug 11, 2009 at 8:58 PM, talent03<email address hidden> wrote:
> I suppose nobody involved in any of these projects have any care for
> this bug. This is just bullshit. Trying to talk to the different
> projects leads to nothing, as nobody wants to say it is their problem.
> Whatever. This just adds to the problem people have when trying to
> switch to linux. I know all these developers would rather not to deal
> with bugs that are troubling and continue adding features but this is
> the stuff that needs to be done for the general public to join in on
> linux, let alone Ubuntu. We had to figure out our own workarounds that
> are literally workarounds that do not provide anything of quality. I am
> mainly looking at PulseAudio as this problem is not present when working
> without it. Even if it may not be their problem, they still should be
> involved in this bug and take the steps to move this bug upstream to
> wherever it needs to be fixed. /rant
>
> I am done with this bug. Please somebody tell me that I am wrong in my
> rant.
>
> --
> internal mic capture very low volume when routed through pulseaudio
> https://bugs.launchpad.net/bugs/275998
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Dell Project: New
> Status in The Linux Kernel: Invalid
> Status in PulseAudio sound server: Unknown
> Status in “alsa-lib” package in Ubuntu: Triaged
> Status in “linux” package in Ubuntu: New
> Status in “pulseaudio” package in Ubuntu: Incomplete
> Status in “alsa-lib” package in Fedora: Confirmed
> Status in “pulseaudio” package in openSUSE: Invalid
>
> Bug description:
> Hi,
>
> I have a dell xps m1530 laptop with the following internal audio device:
>
> 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
>
> In hardy, sound recording from the internal mic works great, but in Ibex sound recording with the internal mic is very silent. I can't make it louder with the gnome volume control and alsamixer.
>
> See https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/275998/comments/109 for a temporary solution
>

Susan Cragin (susancragin) wrote :

Pulseaudio has other problems, other than this one. It stutters with many applications and sound cards. With some the sound quality is poor. With others, the applications get timeout errors and freeze or crash.
Check the bug reports.
It also is incompatible with the sound applications I use: wine and audacity.
And it runs on top of alsa, rather than in place of it, adding latency.
If you are comfortable without pulseaudio, right now it is impossible to remove it (I've tried) without causing major problems and having gnome programs chew up 50% of your CPU.

However, open a terminal
enter killall pulseaudio
and you are safe for a session.

Pulseaudio may someday become useful. Right now, asking it to work perfectly is a waste of typing time.

mike hancock (javaiscoolmike) wrote :

I think it is kind of sad/embarrassing to have this bug still open, since it effects the dell xps1330 with ubuntu pre-installed(well only after you upgrade....). there are only a few computers that dell has with Ubuntu preinstalled and this is one of them. I bought this computer so I would NOT have to deal with these kinds of problems(or at least see them get fixed very quickly). but this has remained for quite some time. I don't mean to sound rude, but I think bugs that effect hardware for any of the computers that have Ubuntu pre-installed on them should get special treatment. Period. I really feel... well let down with the Ubuntu community. You might ask, well what am I doing to fix this issue... well nothing. But I am a computer science major and I want to contribute code(in the future) to kde and kubuntu project(and I have been working to learn that). So I am no lazy slacker with FOSS that just wants my bug fixed. There really should be a group of people that make sure that any computer that is pre-installed with Ubuntu works correctly. If I can't trust a computer that came with Ubuntu pre-installed to work correctly with Ubuntu, what is the point of there being computers with Ubuntu pre-installed? How can this be marked wish-list. Yes I wish the hardware of the computer I bought with Ubuntu pre-installed would 'just work'. If it did, then I could recommend Ubuntu to other people and tell them to buy a dell it has Ubuntu pre-installed. But I can't recommend that if I know there might be problems like this!

The problem is not 'just this bug' but really the fact the on-one stood up and said "we need to make _DAMN_ sure that any computer that comes with Ubuntu pre-installed 'just works' ." This bug just shows that what I am saying IS a real problem. and I think it is a very serious one. This problem is pushing Ubuntu back to the idea of "it's just an OS for hobbyists or computer science nerds, not regular people."

before any one mentions "dell ubuntu project" well it turns out they only make sure that the system works with _exactly_ what was pre-installed, but they do care about after the system is upgraded....

ok, so I might not have all the facts, but I think I have enough to justify this rant. One thing is clear, people that bought dell computers with ubuntu pre-installed....

We need some answers, as to what the heck is going on here!!??

Rocko (rockorequin) wrote :

@talent03: seriously, just install the 2.6.30 kernel. It fixes the microphone problems and has the welcome side effect of not hanging the kernel while deleting files from an ext4 partition. It should really be the default kernel for Jaunty.

1. Go to http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30.4/

2. Download the appropriate kernels, eg if you're using 32 bit, you need:

linux-headers-2.6.30-02063004_2.6.30-02063004_all.deb
linux-headers-2.6.30-02063004-generic_2.6.30-02063004_i386.deb
linux-image-2.6.30-02063004-generic_2.6.30-02063004_i386.deb

(choose the amd64 deb files for 64 bit)

3. Install these files using 'sudo dpkg -i <name of file>' from a gnome-terminal.

4. Reboot into the new kernel.

The only drawback is that if you're using the restricted nvidia drivers, they won't compile for the new kernel so you'll get lowres mode in X. In this case, you could use the envy-ng driver to build the driver for the new kernel, or you could download the 185.18.31 driver directly from nvidia (ftp://download.nvidia.com/XFree86/Linux-x86/ for 32 bit, ftp://download.nvidia.com/XFree86/Linux-x86_64/ for 64 bit) and install it manually. I've also found that the 190.18 beta driver works fine.

bigbrovar (bigbrovar) wrote :

@Mike Hancock

I can confirm that its almost impossible to get the internal mic working
on the dell m1330 xps with the vanilla install of ubuntu 9.04. However
if you use the custom dell image of jaunty which can be downloaded here
http://linux.dell.com/wiki/index.php/Ubuntu_9.04 its what i use and the
internal mic works out of the box even with skype i didn't have to do
any further configuration. perhaps you should try it. Its really the Job
of an OEM to see that the OS there ship works with their Hardware and in
the light Dell has provided a custom Ubuntu image for their hardware.

talent03 (talent03) wrote :

Thanks for the comment Rocko.

As far as I have checked on this bug I have not heard that the 2.6.30 kernel fixed this problem. Was this fixed with the drivers, alsa, or something else in the kernel? Well either way... before I go on to upgrade the kernel on Jaunty, I want to know whether anybody else has confirmed that this has been fixed. If you are right then this is great. As far as I know alsa is built into the kernel now, so I would have to upgrade the kernel to fix it if it is alsa. If that is the case then this bug can be closed when karmic comes out; crosses fingers. Is there anybody with an idea on what fixed it though? Can we backport those fixes into this kernel. All questions for people more experienced than me. Thanks for the info Rocko, I just want confirmation before continuing.

talent03 (talent03) wrote :

@Mike Hancock

Do you know what packages of dell fixes the problem? Does the custom iso have certain kernel packages somewhere, like their repository. The last time I used their jaunty repository they did not have any fixes for this. Please be more informative if possible.

talent03 (talent03) wrote :

My last comment is actually directed @bigbrovar

bigbrovar (bigbrovar) wrote :

@talent03
Nope afaik there is was no custom package or patch from dell on their custom image. the dell ppa repo for jaunty had no package the time i checked. according to the dell ubuntu wiki page

* Additional audio mixer volumes will be set to default at 100% (such as Front or PCM).
  Main will still be at 80%. Lots of Dell laptops audio is improved by this, and now the
  full range of audio is controllable by the hotkeys.

http://linux.dell.com/wiki/index.php/Ubuntu_9.04#Dell_OS_Factory_Recovery_9.04_DVD_ISO

hence i feel what they did was set adjust the settings of alsamixer to something that works best on dell laptops
The problem of pulse as always been settings

I now use kubuntu 9.04 with kde 4.3 and i can confirm that i use my internal mic with little hassle i can even make skype calls

mabawsa (mabawsa) wrote :

I think I may also have found a different approach from a Kernel Update, which I could never get working as well as Rocko. Indeed I buggered up my system and had to re-install (probably cause i am a technical Neanderthal):

I added the http://philip.magicalforest.se repository, updated the repos, installed the default ubuntu-desktop package (to get a minimal pulseaudio) and updated the system.
Everything now works. Skype for some reason (probably a blacklist somewhere) avoids using pulse all together so you need to set this to default.
 I only did this last night so I am unsure how stable things are but I can always go back to a pulse only installation.

I am however still unsure on what use pulseaudio is. I read through their wiki and I am still none the wiser.... It seems like its just a wrapper for the various sound standards, but I am more than likely wrong. Maybe canonical could make it an recommend rather than a requirement for ubuntu.

Rocko (rockorequin) wrote :

@talent03: yes, it's the updated alsa drivers which fix the bug (see https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/275998/comments/184). The version of alsa that ships with 2.6.30.4 had a lot of work done in it for the ICH8 chipset. Instead of installing the new kernel, you could alternatively install just the latest alsa drivers to fix it (see https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/275998/comments/89). But it's much easier to install the new kernel.

The bug is also fixed in Karmic because it's using the 2.6.31 kernel. You could also install Karmic's kernel (and restricted nvidia drivers) by (1) adding the karmic repository in Synaptic, (2) refreshing, and (3) searching for and upgrading linux-image (nothing else, though!). After you do this, I recommend disabling the Karmic repository so you don't inadvertently upgrade to the rest of Karmic, which is still only in alpha.

I'd recommend just using the 2.6.30.4 kernel though since it's stable. I've been using 2.6.30 since May now without issues.

talent03 (talent03) wrote :

@Rocko; If this is truly the case, then jaunty can never be fixed unless the driver is somehow provided in a backported way. It should be noted on the status I figure, including Karmic. Would there be anyway to get this into backports? I am not as involved as I would like to be with this project, so someone with more experience can possibly get this fix into backports if possible. I would like to see people have this problem resolved better than just upgrading to the next version. If the driver is the issue I hope we can have somebody compile the kernels with the new alsa, possibly, or one of us can have a ppa set up with the fix. I hope we can have a stable and fairly easy fix for people who are much less knowledgeable.

After looking at the bug https://bugs.launchpad.net/dell/+bug/309508 and https://bugzilla.redhat.com/show_bug.cgi?id=498612#c4 - I am wondering if the mic works for Intrepid using proposed? If that is the case, it would be great if that could get pushed into jaunty. The redhat link seems to me to be a hint towards bigbrovar's pointing out of the quote in the dell wiki. Although, I think I will have to take a better look at all of this new information after I get some sleep. Thank you Rocko and bigbrovar for being very informative. My only hope is that we can find a simple way to solve this issue and have it at the top with the initial report. Some of the info from Rocko would be nice to see at the top for now.

talent03 (talent03) wrote :

So I am here to report my progress with this. I followed what Rocko recommended and upgraded the kernel to 2.6.30.4. To do this I had to upgrade nvidia binary driver to 180.60 as well because the current one will not work with the jaunty kernel. Sound is definitely better because I don't get crackling anymore and latency issues so far. I almost want to apologize to the PulseAudio developer but when I upgraded the sound was still low on the mic, but when boosting it through paman I definitely had a better quality input. Since things work much better for me, I will just post the steps to getting there for me. There is no support for this, so be aware of that. Make sure to get rid of any workarounds to get this working. I hope this helps.

First install the nvidia driver if needed... I have m1330, so I needed it.
Install in order from this mirror since the archive for ubuntu no longer has it: http://ubuntu-mirror.cs.colorado.edu/ubuntu/pool/restricted/n/nvidia-graphics-drivers-180/
nvidia-180-kernel-source_180.60-0ubuntu1_i386.deb
nvidia-180-libvdpau_180.60-0ubuntu1_i386.deb
nvidia-glx-180_180.60-0ubuntu1_i386.deb

Install the kernel in order from here that I give for packages: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30.4/
linux-headers-2.6.30-02063004_2.6.30-02063004_all.deb
linux-headers-2.6.30-02063004-generic_2.6.30-02063004_i386.deb (or amd64)
linux-image-2.6.30-02063004-generic_2.6.30-02063004_i386.deb (or amd64)

Once all this is installed you can restart and everything should be functioning. You can adjust the mic sound through paman in the devices tab and click on properties for the input source. Set skype to pulse.

Rocko (rockorequin) wrote :

@talent03: brilliant! Now open gnome-volume-manager's Preferences (ie double click on the volume icon in the gnome panel) and see if there is now a setting for 'Digital Recording'. If so and you enable it via the check box, a level control will appear in the Recording tab and you should be able to directly control the microphone volume instead of using paman.

talent03 (talent03) wrote :

@Rocko: I looked for something like that as soon as I restarted, but I did not have a setting such as 'Digital Recording'. That is why I had to do it through paman. I am fine with this though, since I only set it once. Thank you for the help.

Rocko (rockorequin) wrote :

It might be something to do with your /etc/asound.state file, which I think is created by alsa. I think I had to reboot a couple of times and possibly even run a configuration command before the new alsa recognised the digital mike control. Now there is an entry at the end of asound.state that says:

 control.29 {
  comment.access 'read write user'
  comment.type INTEGER
  comment.count 2
  comment.range '0 - 120'
  comment.tlv '0000000100000008fffff44800000032'
  comment.dbmin -3000
  comment.dbmax 3000
  iface MIXER
  name 'Digital Capture Volume'
  value.0 96
  value.1 96
 }

ie this is control 29 out of 29 controls.

talent03 (talent03) wrote :

@Rocko: Do you remember the configuration command? Maybe you installed a newer version of alsa that may have done this for you. I am not sure of a way to reconfigure alsa on Ubuntu. There is no alsaconf and ubuntu does not recommend using it.

Rocko (rockorequin) wrote :

I think the configuration command might have been 'alsactl store', which creates a new asound.state file. I think you have to delete or move the old asound.state file first. As well, there is an /etc/asound.state file and also a /var/lib/asound.state file - I don't recall if you have to move both, but I've only got a backup in /etc so this might be the key one. The one in /var/lib/alsa might just be the one that alsa uses when restoring values after reboot.

Rocko (rockorequin) wrote :

@talent03: I tried installing a fresh Jaunty and upgrading the kernel to 2.6.30.4, and it didn't detect the digital capture volume, just like you found. Issuing alsactl stored didn't help either. Also, it seems that I must have made a link from /var/lib/alsa/asound.state to /etc/asound.state, because the default install puts the file only in /var/lib/alsa/asound.state.

However, I did finally get my new Jaunty install with the upgraded 2.6.30.4 kernel to recognise the digital capture volume via the following:

1. I copied the asound.state file across from my previous installation to /var/lib/alsa/asound.state. (It includes the Digital Capture Volume control, which either alsa detected at some point by itself or which I must have copied from a Hardy installation a year ago.)

2. I did "sudo alsactl restore" and then "sudo alsactl store" while in the /var/lib/alsa folder. (The first one is probably the important one - it loads the configuration from asound.state. The second command might not be necessary, as it should just save the volume settings back to asound.state).

3. When I opened up the gnome-volume-control, "Digital" then appeared as an option under the Capture, Capture1, and Capture2 controls. This is the Digital Capture Volume that alters the hardware microphone level.

I've attached my asound.state file in case it helps. It's for an Dell XPS M1530 with the ICH8 high definition audio chipset.

Jerone Young (jerone) on 2009-10-21
Changed in dell:
status: New → In Progress
Tobias Krais (tux-spam) wrote :

Same problem here, its very weird: Dell XPS M1530 with Karmic. With pulseaudio the internal mic does not work, even if I plug in an external one, nothing to here. Uninstalling pulseaudio solves the problem. But now I have no volume control applet in gnome. really weird. Please, please fix it.

The described workaround does not work for me...

hendrikwout (hendrikwout) wrote :

in Karmic Koala 9.10: the gnome-volume-control now has a standard input gain feature to amplify the volume. Allthough the input volume is very low on a fresh install, the volume can be easily gained to an acceptable volume with gnome-volume-control.

Great work of the pulseaudio team!

Offtopic, but related: I still have another problem on the dell xps m1530 (recording from input jack doesn't work), see bug #461732.

Changed in alsa-lib (Fedora):
status: Confirmed → Won't Fix
Wolter Hellmund (wolterh) wrote :

For all of you whose problem hasn't been solved, and whose sound input cannot be detected by pulseaudio yet, I think I have the solution.

NULL SOUND INPUT
=================
1. Install [audacity]
2. Go to [preferences/devices] and select your sound card from the combobox under the [Recording] section.
NOTE: I have [ALSA] in the [Interface] section, [default] in the [Playback] section and [HDA Intel: ...] in the [Recording] section.
3. Back in the main window, play around with the microphone combobox and record until you get the right microphone (you replay what you recorded to see if you were successful)
NOTE: [Digital Mic:0] worked for me just fine.
4. Install [padevchooser] (PulseAudio Device Chooser) and open it. You will see an applet in your panel.
5. From its menu, select [Manager...]. Now go to the [Devices] tab and select your input source. Then click on [Properties] button.
NOTE: My input source's name is [alsa_input.pci-0000_00_1b.0.analog-stereo].
6. Click on [Show Volume Meter]. Here you are supposed to record as you did with [audacity], now that [audacity] sets the mic for pulse.

QUIET SOUND INPUT
==================
1. (Follow last guide from step #4).
2. Play with the [Volume] slider until you have decent settings.
NOTE: I have my slider at 200%.

LETTING GSTREAMER ENJOY THE GLORY
===================================
1. Run [gstreamer-properties].
2. Select [PulseAudio Sound Server] as your default input.
NOTE: I have [Default] as my [Device]. There are two other devices labeled as [Unknown]. One is the same as [Default] (the mic) and the other one is the default output. Use this second one when you want to record what your computer plays.

CREDITS
========
If this guide worked for you, feel free to come by to #<email address hidden> and say hi to mezquitale and wolter. But mezquitale is the real mage here. He helped me out and gave me the audacity technique.

Wolter Hellmund (wolterh) wrote :

PS: I used the default settings, which means no altered [/etc/pulse/default.pa] and no [/etc/asound.conf] at all.

Felix (apoapo) wrote :

#128 works for me on a dell xps m1330. thank you.

tags: added: iso-testing
Jeremy Foshee (jeremyfoshee) wrote :

Hi hendrikwout,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 275998

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kernel-sound
tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
alexsimps (alexsimps84) wrote :

@Jeremy Foshee This issue is still bothering me in lucid 10.04 if that answers your question?

Jeremy Foshee (jeremyfoshee) wrote :

alexsimps,
     It does. :-) would you mind running "apport-collect -p linux 275998" per the above so I can get some debugging info from your machine?

Thanks!

~JFo

alexsimps (alexsimps84) wrote :

Jeremy Foshee,
I tried but got
"You are not the reporter or subscriber of this problem report, or the report is a duplicate or already closed.
Please create a new report using "apport-bug". "
So im not sure if it went thru... or how to make it work if it did not, as i am already subscriber to this problem?

Jeremy Foshee (jeremyfoshee) wrote :

alexsimps,
     That is strange indeed. Let me look into this a bit and let you know what I find.

Thanks!

~JFo

alexsimps, this works fine for me in Lucid. Are you sure it's not just a matter of turning up the mic volume?

Right-click on the volume applet, choose "Sound preferences" , click on the "Input" tab and turn up the volume.

Jerone Young (jerone) on 2010-04-18
Changed in dell:
status: In Progress → Invalid
lemmy (lemmyg) wrote :

Hi,
This problem still persists in karmic and lucid. to record the sound, I have to put the microphone recording volume to 200% with "pulse audio manager". In jaunty this bug was fixed but in karmic appears again.

Dell inspiron 1720
Linux VLAN01 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Krzysztof Debski (fantom15) wrote :

I am using Lucid and I have Dell M1530.
When volume of microphone is set to 100% it is almost inaudible.
gnome-volume-control let me rise the volume up to 150% which is still not enough.
With paman (PulseAudio Manager) I can rise it up to 480%. 200% is fine.

Workaround:
1. sudo apt-get install paman
2. paman
3. Go to devices
4. Double click alsa_input.pci-0000_00_1b.0.analog-stereo
5. Set the volume to ~200%
6. Click Close

lemmy (lemmyg) wrote :

Hi, you're right.
that means it's a regression, this bugs was corrected in jaunty and mic sound worked properly with the volume to 100%.

Åsmund Hjulstad (asmund) wrote :

If it may help others: I added

set-source-volume 1 170000

to my /etc/pulse/default.pa, so I don't have to reset the volume every time I log on.
(And also remember to unset the "let Skype control volume automatically" option)

http://myramblingsonprogramming.wordpress.com/2010/09/09/mic-volume-on-dell-xps-m1330-running-ubuntu-10-04/

Daniel T Chen (crimsun) wrote :

source fixes have been applied for Maverick's current pulse. Please test.

Daniel T Chen (crimsun) on 2010-10-10
Changed in alsa-lib (Ubuntu):
status: Triaged → Invalid
Andy Whitcroft (apw) on 2011-02-14
Changed in linux (Ubuntu):
status: Incomplete → In Progress
status: In Progress → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium

The only solution to make microphone work is to install linux-backports-modules-alsa-generic...

Just go to:

Menu / System / Administration / Synaptic Package Manager

And search and mark for installation:

linux-backports-modules-alsa-generic

tip: if you have multiple versions click on the first and read the description which should inform what name to install...

If after the reboot and mic mute is off, still does not work, just go to terminal and type:

sudo nano /etc/modprobe.d/alsa-base.conf

and add or change the following:

options snd-hda-intel model=auto enable=yes

Then Ctrl+X, type Y to write and exit, reboot and mic will work.

Bye and have lots of fun with Ubuntu (the best).

David Henningsson (diwic) wrote :

I'm closing this bug because it is very old and has not been updated recently, and because problems of this sort is hardware specific in general.
If you're still having problems, please file a new bug.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Invalid
Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in somerville:
status: New → Invalid
no longer affects: dell

The bug task for the somerville project has been removed by an automated script. This bug has been cloned on that project and is available here: https://bugs.launchpad.net/bugs/1305827

no longer affects: somerville
Changed in alsa-lib (Fedora):
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.